Bug 1745841 - xtl tests fail on ppc64le
Summary: xtl tests fail on ppc64le
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xtl
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2019-08-27 05:12 UTC by Elliott Sales de Andrade
Modified: 2020-02-15 03:03 UTC (History)
1 user (show)

Fixed In Version: xtl-0.6.12-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-15 03:03:46 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-08-27 05:12:33 UTC
Description of problem:
xtl tests fail on ppc64le. It used to work on F29 with gcc 8, but some gcc 9 optimization seems to have broken things.


Version-Release number of selected component (if applicable):
xtl-0.6.4


Actual results:
[ RUN      ] xfixed_string.insert
/builddir/build/BUILD/xtl-0.6.4/test/test_xbasic_fixed_string.cpp:519: Failure
Expected equality of these values:
  s.c_str()
    Which is: "operation"
  "opebration"
[  FAILED  ] xfixed_string.insert (0 ms)
[ RUN      ] xfixed_string.erase
[       OK ] xfixed_string.erase (0 ms)
[ RUN      ] xfixed_string.append
unknown file: Failure
C++ exception with description "Invalid size (17) for xbasic_fixed_string - maximal size: 16" thrown in the test body.
[  FAILED  ] xfixed_string.append (1 ms)
[ RUN      ] xfixed_string.operator_append
/builddir/build/BUILD/xtl-0.6.4/test/test_xbasic_fixed_string.cpp:675: Failure
Expected equality of these values:
  s.c_str()
    Which is: "opea"
  "operationa"
/builddir/build/BUILD/xtl-0.6.4/test/test_xbasic_fixed_string.cpp:682: Failure
Expected equality of these values:
  s.size()
    Which is: 6
  size_type(11)
    Which is: 11
/builddir/build/BUILD/xtl-0.6.4/test/test_xbasic_fixed_string.cpp:683: Failure
Expected equality of these values:
  s.c_str()
    Which is: "operab"
  "operationab"
/builddir/build/BUILD/xtl-0.6.4/test/test_xbasic_fixed_string.cpp:689: Failure
Expected equality of these values:
  s.c_str()
    Which is: "operatabc"
  "operationabc"
[  FAILED  ] xfixed_string.operator_append (0 ms)


Expected results:
Tests should pass.

Comment 1 Ben Cotton 2020-02-11 17:58:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Elliott Sales de Andrade 2020-02-15 03:03:46 UTC
This has been magically fixed by either gcc 10 or glibc 2.31 in Fedora 32.


Note You need to log in before you can comment on or make changes to this bug.